
Foreman - Bug #19500

katello pages aren't loading

05/09/2017 03:11 PM - John Mitsch

Status: Closed   

Priority: High   

Assignee: Ohad Levy   

Category: Notifications   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4513

  

Description

After the merging of https://github.com/theforeman/foreman/pull/4469, katello pages aren't loading and have this javascript error

bundle-cfa1a4b….js:70 Uncaught TypeError: Cannot read property 'flash' of undefined

at a (bundle-cfa1a4b….js:70)

at HTMLDocument.<anonymous> (bundle-cfa1a4b….js:70)

at HTMLDocument.dispatch (bundle-cfa1a4b….js:35)

at HTMLDocument.m.handle (bundle-cfa1a4b….js:34)

at Object.trigger (bundle-cfa1a4b….js:35)

at HTMLDocument.<anonymous> (bundle-cfa1a4b….js:35)

at Function.each (bundle-cfa1a4b….js:24)

at ce.fn.init.each (bundle-cfa1a4b….js:24)

at ce.fn.init.trigger (bundle-cfa1a4b….js:35)

at application.js:21701

This is what we are using to work around this issue: https://gist.github.com/johnpmitsch/8a12a78779f1d9f6f65c5959b9deaa00

Associated revisions

Revision b9df73be - 05/10/2017 04:25 AM - Ohad Levy

fixes #19479, #10587, #19500 - two pane notifications are visible

- notification is now inside the content div, allowing two-pane server

responses to include it.

- refactored all notifications to use notification helpers (notice,

warning and error) instead of direct flash manipulation

- also added the usage of flash now via the helpers, and fixed

it in a couple of places it was used incorrectly (mostly clone rendering

which does not redirect at all).

- fixed consisteny to remove trailing dots from toast messages (as it

seems most strings are without dot suffix).

- safer handing if notification div or its data is undefined.

History

#1 - 05/09/2017 03:41 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/4513 added

#2 - 05/10/2017 05:01 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b9df73be192a8485610f51a113b67260dc5f9e49.
https://github.com/theforeman/foreman/pull/4469
https://gist.github.com/johnpmitsch/8a12a78779f1d9f6f65c5959b9deaa00
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b9df73be192a8485610f51a113b67260dc5f9e49


#3 - 05/10/2017 05:02 AM - Dominic Cleal

- Category set to Notifications
